Ubuntu

Plugin fails to load in Chrome

Reported by Joakim Fogelström Hardingz on 2012-07-17
356
This bug affects 119 people
Affects Status Importance Assigned to Milestone
Iced Tea
Fix Released
Medium
icedtea-web (Ubuntu)
High
Unassigned
Natty
Undecided
Micah Gersten
Oneiric
Undecided
Micah Gersten
Precise
High
Micah Gersten
Quantal
High
Unassigned

Bug Description

NOTE TO SRU TEAM: natty and oneiric packages should be copied to -security as well, please coordinate with sbeattie; precise is a regular SRU and should just go to -updates

OS: Ubuntu 11.04 Natty amd64
Browser: Chrome 20.0.1132.57
Affected file(s): /usr/lib/jvm/java-6-openjdk/jre/lib/amd64/IcedTeaPlugin.so

Problem: Plugin fails to load in Chrome.
There is a bug in the IcedTeaPlugin.so that has already been adressed by Adam Domurad <email address hidden>
Updating the plugin to the latest release (IcedTea-Web 1.2.1pre+rd5cec52b3c5b) as described here: http://icedtea.classpath.org/bugzilla/show_bug.cgi?id=1073 fixes this issue.

Solution: Needs repackaging.

TESTCASE
1) install icedtea-6-plugin and chromium-browser
2) open chromium-browser and navigate to http://www.java.com/de/download/help/testvm.xml
if the icedtea plugin is working, a fancy little graphic will show up in the middle of the webpage; if it's not working, the center will remain blank, and if chromium-browser was started in a terminal, lines similar to the following will appear there:

  /build/buildd/icedtea-web-1.2/build/../plugin/icedteanp/IcedTeaNPPlugin.cc:2072: thread 0x7f926a3a8500: Error: Invalid plugin function table.
  /build/buildd/icedtea-web-1.2/build/../plugin/icedteanp/IcedTeaNPPlugin.cc:2072: thread 0x7f926a3a8500: Error: Invalid plugin function table.
  /build/buildd/icedtea-web-1.2/build/../plugin/icedteanp/IcedTeaNPPlugin.cc:2072: thread 0x7f926a3a8500: Error: Invalid plugin function table.

Until today, the plugin worked fine for me in Chrome. But after updating to 1.2-2 (ubuntu), it fails to load and looking at console output I see this:

/build/buildd/icedtea-web-1.2/build/../plugin/icedteanp/IcedTeaNPPlugin.cc:2063: thread 0x7f0f50b81640: Error: Invalid plugin function table.
/build/buildd/icedtea-web-1.2/build/../plugin/icedteanp/IcedTeaNPPlugin.cc:2063: thread 0x7f0f50b81640: Error: Invalid plugin function table.
[31:31:3806613629:ERROR:webplugin_delegate_proxy.cc(353)] PluginMsg_Init returned false
[31:31:3806613698:ERROR:webplugin_impl.cc(269)] Couldn't initialize plug-in

It seems to play nice with Firefox, though..

Regards Joakim

Hey, thanks for the bug report! This was a problem I noticed and fixed a while back in the most up to date version.

Can you please give http://icedtea.classpath.org/hg/release/icedtea-web-1.2 a try ?

Make sure you have mercurial, and go to a folder to build in.
 to do the following:

hg clone http://icedtea.classpath.org/hg/release/icedtea-web-1.2/
cd icedtea-web-1.2

mkdir build
cd build

./autogen.sh
../configure --prefix=$(pwd)
make install

Then backup /usr/lib64/IcedTeaPlugin.so (or whatever the location of your IcedTeaPlugin.so is)
and replace it with
<root folder you chose>/icedtea-web-1.2/build/plugin/icedteanp/IcedTeaPlugin.so

Hi!
After sorting out some missing dependencies, GTK+-2.0 and mozilla-plugin (which is found in the xulrunner-2.0-dev package in ubuntu, took me a while to figure that one out) i managed to follow your instructions and voilá, It works again! =) Thank you!

Regards Joakim

Glad to hear it. Apologies for completely blanking on the depencies though!

"yum-builddep icedtea-web" Should have been on my list of commands. The xul-runner dependency is non-obvious - I remember taking a while to figure that one out too before learning the builddep command :)

Doh, just realized you were on ubuntu, so that yum command wouldn't work. I'll list dependencies next time around.

Micah Gersten (micahg) on 2012-07-17
Changed in icedtea-web (Ubuntu):
importance: Undecided → High
status: New → Triaged

No problem! I managed to find it out myself and so I learned something new, which is a good thing :) It would probably have been more obvious to me if I was a programmer/developer myself, but I'm really just an everyday linux user. Except from a few "hello world" examples in various languages my programming skills is virtually close to zero ;)

I've posted the issue in ubuntu launchpad and it seems they're already on it. So hopefully the bug fix will be included in the next update.

Regards Joakim

Changed in icedtea:
importance: Unknown → Medium
status: Unknown → Fix Released
Steve Beattie (sbeattie) on 2012-07-31
Changed in icedtea-web (Ubuntu):
assignee: nobody → Steve Beattie (sbeattie)
Steve Beattie (sbeattie) wrote :

This is the specific upstream commit that is claimed to fix the issue:

  http://icedtea.classpath.org/hg/release/icedtea-web-1.2/rev/a49edd57b1b3

Steve Beattie (sbeattie) wrote :

After testing, I also reproduced the problem with chromium-browser and icedtea-web on oneiric and precise as well.

Micah Gersten (micahg) on 2012-07-31
tags: added: natty oneiric regression-update
tags: added: regression-release
tags: added: precise quantal
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in icedtea-web (Ubuntu Natty):
status: New → Confirmed
Changed in icedtea-web (Ubuntu Oneiric):
status: New → Confirmed
Changed in icedtea-web (Ubuntu Precise):
status: New → Confirmed
Steve Beattie (sbeattie) wrote :

Attached is a debdiff for quantal to address this issue plus the two recent security updates fixed in the upstream IcedTea-Web 1.2.1 release (already address in the stable ubuntu releases). Ideally, I'd rather see this get sync'ed from debian, but I'm not sure they'll pull in 1.2.1 during their freeze.

Steve Beattie (sbeattie) wrote :

Here is a debdiff for a precise SRU for this as well as a fix for bug 1002516.

Steve Beattie (sbeattie) wrote :

Here is a similar debdiff for an Oneiric SRU that only addresses this issue.

Steve Beattie (sbeattie) wrote :

And finally, a debdiff for a natty SRU for this issue.

description: updated

The attachment "icedtea-web_1.2-2ubuntu2.debdiff" of this bug report has been identified as being a patch in the form of a debdiff. The ubuntu-sponsors team has been subscribed to the bug report so that they can review and hopefully sponsor the debdiff. In the event that this is in fact not a patch you can resolve this situation by removing the tag 'patch' from the bug report and editing the attachment so that it is not flagged as a patch. Additionally, if you are member of the ubuntu-sponsors team please also unsubscribe the team from this bug report.

[This is an automated message performed by a Launchpad user owned by Brian Murray. Please contact him regarding any issues with the action taken in this bug report.]

tags: added: patch
Micah Gersten (micahg) wrote :

I'll take this.

Changed in icedtea-web (Ubuntu Quantal):
assignee: Steve Beattie (sbeattie) → Micah Gersten (micahg)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package icedtea-web - 1.2-2ubuntu3

---------------
icedtea-web (1.2-2ubuntu3) quantal; urgency=low

  * SECURITY UPDATE: uninitialized pointer use flaw
    - debian/patches/icedtea-web-CVE-2012-3422.patch: check for empty
      instance_to_id_map hash and return error if so.
    - CVE-2012-3422
  * SECURITY UPDATE: incorrect handling of non NULL terminated strings
    - debian/patches/icedtea-web-CVE-2012-3423.patch: ensure NPVariant
      NPStrings are NULL terminated.
    - CVE-2012-3423
  * debian/patches/fix-plugin-error-on-chromium.patch: fix plugin
    table initialization to check only that the subset of hooks that
    it uses exists. (LP: #1025553)
 -- Steve Beattie <email address hidden> Fri, 03 Aug 2012 21:10:50 -0700

Changed in icedtea-web (Ubuntu Quantal):
status: Triaged → Fix Released
Micah Gersten (micahg) wrote :

I changed the quantal debdiff to 1.2-2ubuntu3 since 1.2-2ubuntu2 was already uploaded and rebased against the new changelog.

Changed in icedtea-web (Ubuntu Quantal):
assignee: Micah Gersten (micahg) → nobody
Changed in icedtea-web (Ubuntu Precise):
milestone: none → ubuntu-12.04.1
Micah Gersten (micahg) wrote :

Since chromium-browser is seeded, this seems like something that should be fixed for the point release before upgrades to precise are enabled from 10.04. Also, it appears to be on the Ubuntu DVD which may or may not be desired, but is the state of affairs ATM.

Changed in icedtea-web (Ubuntu Precise):
importance: Undecided → High
Micah Gersten (micahg) on 2012-08-06
Changed in icedtea-web (Ubuntu Precise):
assignee: nobody → Micah Gersten (micahg)
Changed in icedtea-web (Ubuntu Oneiric):
assignee: nobody → Micah Gersten (micahg)
Changed in icedtea-web (Ubuntu Natty):
assignee: nobody → Micah Gersten (micahg)

Hello Joakim, or anyone else affected,

Accepted icedtea-web into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/icedtea-web/1.2-2ubuntu1.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please change the bug tag from verification-needed to verification-done. If it does not, change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in icedtea-web (Ubuntu Precise):
status: Confirmed → Fix Committed
tags: added: verification-needed
description: updated
James (ubuntu-james-crocker) wrote :

Verified -proposed SUCCESSFULLY against:
------------------------------------------------------------
Linux colossus 3.2.0-29-generic #46-Ubuntu SMP Fri Jul 27 17:03:23 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux
Ubuntu 12.04.1 LTS \n \l

ii chromium-browser 18.0.1025.168~r134367-0ubuntu0.12.04.1 Chromium browser
ii chromium-browser-l10n 18.0.1025.168~r134367-0ubuntu0.12.04.1 chromium-browser language packages
ii chromium-codecs-ffmpeg-extra 18.0.1025.168~r134367-0ubuntu0.12.04.1 Extra ffmpeg codecs for the Chromium Browser

ii icedtea-6-jre-cacao 6b24-1.11.3-1ubuntu0.12.04.1 Alternative JVM for OpenJDK, using Cacao
ii icedtea-6-jre-jamvm 6b24-1.11.3-1ubuntu0.12.04.1 Alternative JVM for OpenJDK, using JamVM
ii icedtea-6-plugin 1.2-2ubuntu1.2 web browser plugin based on OpenJDK and IcedTea to execute Java applets
ii icedtea-netx 1.2-2ubuntu1.2 NetX - implementation of the Java Network Launching Protocol (JNLP)
ii icedtea-netx-common 1.2-2ubuntu1.2 NetX - implementation of the Java Network Launching Protocol (JNLP)
ii icedtea-plugin 1.2-2ubuntu1.2 web browser plugin to execute Java applets (dependency package)
ii icedtea6-plugin 6b21.2-2ubuntu1.2 web browser plugin to execute Java applets (dependency package)

------------------------------------------------------------
RESULTS:
http://www.java.com/en/download/testjava.jsp

"Your Java is working"

tags: added: verification-done
removed: verification-needed
Micah Gersten (micahg) wrote :

Package should be available in natty-proposed and oneiric-proposed shortly.

Changed in icedtea-web (Ubuntu Oneiric):
status: Confirmed → Fix Committed
Changed in icedtea-web (Ubuntu Natty):
status: Confirmed → Fix Committed
description: updated
tags: added: security-verification verification-done-precise verification-needed
removed: verification-done
Marcelo (mmtsales) wrote :

I confirm that the new package solves the problem in Precise. Would it be possible to re-package the java 1.7 version of the plugin too? The same problem is present there.

The recently committed package fixes the bug for me on my Oneiric amd64 system.

icedtea-6-plugin/icedtea-netx 1.2-2ubuntu0.11.10.3
chromium-browser 18.0.1025.168~r134367-0ubuntu0.11.10.1
Tested with http://www.java.com/en/download/testjava.jsp.

I used the debs from https://launchpad.net/~ubuntu-security-proposed/+archive/ppa/+build/3725266 since the binary packages aren't available from oneiric-proposed yet (at least via the US mirror).

tags: added: verification-done-oneiric

I reproduced the bug on a Natty i386 virtual machine, then installed the recently committed Natty binary packages (from https://launchpad.net/~ubuntu-security-proposed/+archive/ppa/+build/3725259).

They fix the bug for me on Natty as well.

These were the working package versions (on the Natty VM):

icedtea-plugin/icedtea-6-plugin/icedtea-netx 1.2-2ubuntu0.11.04.3
icedtea6-plugin 6b21.2-2ubuntu0.11.04.3
chromium-browser 18.0.1025.168~r134367-0ubuntu0.11.04.1

(Also, you may notice that I only listed two of the four packages in my last comment. But when I tested it I did also install the other two, which are architecture-independent and built on https://launchpad.net/builders/roseapple along with the i386 packages; I just neglected to list their versions. These other two packages, installed on my Oneiric amd64 machine, were icedtea-plugin 1.2-2ubuntu0.11.10.3 and icedtea6-plugin 6b21.2-2ubuntu0.11.10.3.)

tags: added: verification-done-natty
tags: added: verification-done
removed: verification-needed
tags: removed: verification-done-natty verification-done-oneiric verification-done-precise
Micah Gersten (micahg) wrote :

@Marcelo, I think the Java 7 should've been fixed in precise as well in the icedtea-7-plugin package in precise-proposed.

Marcelo (mmtsales) wrote :

@Micah, the Java 7 plugin is indeed fixed with the package in precise-propose. Thanks!

The packages in precise-proposed fixes the bug in both Chrome and Chromium for me.

Thanks for a fix! I've been experiencing the same issue with Google Chrome on Linux Mint Debian Edition (as well as Ubuntu, but I got tired of Ubuntu), and I've tried the below solution however, at "./configure --prefix=$(pwd)" I get the error:
>checking for a JDK home directory...
>configure: error: "A JDK home directory could not be found.
Any idea what the problem could be?

Also, this may be stupid, but I'm guessing that when running ./autogen.sh, one should not be in the build dir, which was created, since the file can't be found. Running ../autogen.sh in the build-dir replies with "autoreconf: `configure.ac' or `configure.in' is required"

On Ubuntu it worked fine in Firefox, however in LMDE Firefox crashes altogether. But I suspect another issue there.

Regards,
Rasmus

(In reply to comment #1)
> Hey, thanks for the bug report! This was a problem I noticed and fixed a
> while back in the most up to date version.
>
> Can you please give http://icedtea.classpath.org/hg/release/icedtea-web-1.2
> a try ?
>
> Make sure you have mercurial, and go to a folder to build in.
> to do the following:
>
> hg clone http://icedtea.classpath.org/hg/release/icedtea-web-1.2/
> cd icedtea-web-1.2
>
> mkdir build
> cd build
>
> ./autogen.sh
> ../configure --prefix=$(pwd)
> make install
>
> Then backup /usr/lib64/IcedTeaPlugin.so (or whatever the location of your
> IcedTeaPlugin.so is)
> and replace it with
> <root folder you
> chose>/icedtea-web-1.2/build/plugin/icedteanp/IcedTeaPlugin.so

Changed in icedtea-web (Ubuntu Precise):
milestone: ubuntu-12.04.1 → ubuntu-12.04.2
Phonon (phonon) wrote :

Java in Chromium once worked in Ubuntu 12.04... why is this working fix not distributed as an automatic update?

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package icedtea-web - 1.2-2ubuntu0.11.04.3

---------------
icedtea-web (1.2-2ubuntu0.11.04.3) natty-security; urgency=low

  * debian/patches/fix-plugin-error-on-chromium.patch: fix plugin
    table initialization to check only that the subset of hooks that
    it uses exists. (LP: #1025553)
 -- Steve Beattie <email address hidden> Fri, 03 Aug 2012 15:42:11 -0700

Changed in icedtea-web (Ubuntu Natty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package icedtea-web - 1.2-2ubuntu0.11.10.3

---------------
icedtea-web (1.2-2ubuntu0.11.10.3) oneiric-security; urgency=low

  * debian/patches/fix-plugin-error-on-chromium.patch: fix plugin
    table initialization to check only that the subset of hooks that
    it uses exists. (LP: #1025553)
 -- Steve Beattie <email address hidden> Fri, 03 Aug 2012 15:50:10 -0700

Changed in icedtea-web (Ubuntu Oneiric):
status: Fix Committed → Fix Released

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package icedtea-web - 1.2-2ubuntu1.2

---------------
icedtea-web (1.2-2ubuntu1.2) precise-proposed; urgency=low

  * debian/patches/fix-plugin-error-on-chromium.patch: fix plugin
    table initialization to check only that the subset of hooks that
    it uses exists. (LP: #1025553)
  * debian/control, debian/control.common: adjust so that
    icedtea-netx-common replaces icedtea-plugin in oneiric
    (LP: #1002516)
 -- Steve Beattie <email address hidden> Fri, 03 Aug 2012 17:09:06 -0700

Changed in icedtea-web (Ubuntu Precise):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.